cascading.tuple.hadoop.collect

## Class HadoopTupleMapFactory

- java.lang.Object
- - cascading.tuple.hadoop.collect.HadoopTupleMapFactory

All Implemented Interfaces:
  CascadingFactory<Configuration,java.util.Map<Tuple,java.util.Collection<Tuple>>>, TupleMapFactory<Configuration>

    public class HadoopTupleMapFactory
    extends java.lang.Object
    implements TupleMapFactory<Configuration>

### Field Summary

### Fields inherited from interface cascading.tuple.collect.TupleMapFactory

`TUPLE_MAP_FACTORY`

### Constructor Summary

Constructors
Constructor and Description
`HadoopTupleMapFactory()`

### Method Summary

Methods
`java.util.Map<Tuple,java.util.Collection<Tuple>>` `create(FlowProcess<? extends Configuration> flowProcess)`
`void` `initialize(FlowProcess<? extends Configuration> flowProcess)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HadoopTupleMapFactory

    public HadoopTupleMapFactory()

### Method Detail

#### initialize

    public void initialize(FlowProcess<? extends Configuration> flowProcess)

Specified by:
  `initialize` in interface `CascadingFactory<Configuration,java.util.Map<Tuple,java.util.Collection<Tuple>>>`

#### create

    public java.util.Map<Tuple,java.util.Collection<Tuple>> create(FlowProcess<? extends Configuration> flowProcess)

Specified by:
  `create` in interface `CascadingFactory<Configuration,java.util.Map<Tuple,java.util.Collection<Tuple>>>`